Bug 47083 - [Bisected PNV] Piglit general/vs-point_size-zero fails
Summary: [Bisected PNV] Piglit general/vs-point_size-zero fails
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915 (show other bugs)
Version: git
Hardware: All Linux (All)
: medium minor
Assignee: Ian Romanick
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-07 22:05 UTC by lu hua
Modified: 2019-09-18 19:34 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Description lu hua 2012-03-07 22:05:59 UTC
System Environment:
--------------------------
Arch:           i386      
Platform:       Pineview
Libdrm:		(master)2.4.31-11-gf82c77870354ba736774b6c45ccf8a326732243a
Mesa:		(master)43af02ac731dac7d80f7e47feb0c80e4da156769
Xserver:	(master)xorg-server-1.12.0
Xf86_video_intel:(master)2.18.0-36-g232972c0e5bd833c1d0b33432fa8092c601fd0e5
Kernel:	      (drm-intel-next-queued) fa37d39e4c6622d80bd8061d600701bcea1d6870

Bug detailed description:
------------------------- 
It fails on mesa master branch. It doesn't happen on mesa 8.0 branch.
The last known good commit:b5653880f66879d414b0416f889963e6225a8998
The last known bad commit: 43af02ac731dac7d80f7e47feb0c80e4da156769

Reproduce steps:
----------------
1. start X
2. ./vs-point_size-zero -auto
Comment 1 Eric Anholt 2012-08-02 21:17:58 UTC
Bisect?
Comment 2 lu hua 2012-08-03 02:23:07 UTC
commit 058fc6521e3bc483bc948cc90dc5ee3b08d6ec64
Author:     Yuanhan Liu <yuanhan.liu@linux.intel.com>
AuthorDate: Thu Feb 23 14:19:19 2012 +0800
Commit:     Yuanhan Liu <yuanhan.liu@linux.intel.com>
CommitDate: Mon Mar 5 10:42:58 2012 +0800

    i915: fix wrong rendering of gl_PointSize on Pineview

    The current code would ignore the point size specified by gl_PointSize
    builtin variable in vertex shader on Pineview. This patch servers as
    fixing that.

    This patch fixes the following issues on Pineview:
    webglc: https://cvs.khronos.org/svn/repos/registry/trunk/public/webgl/sdk/tests/conformance/rendering/point-size.html
    piglit: glsl-vs-point-size

    NOTE: This is a candidate for stable release branches.

    v2: pick Eric's nice tip for fixing this issue in hardware rendering.
    v3: the last arg of EMIT_ATTR specify the size in _byte_. (Eric)

    Signed-off-by: Yuanhan Liu <yuanhan.liu@linux.intel.com>
    Reviewed-by: Eric Anholt <eric@anholt.net>
Comment 3 lu hua 2012-08-03 02:24:02 UTC
Bisect shows: commit 058fc6521e3bc483bc948cc90dc5ee3b08d6ec64 is the first bad commit.
Comment 4 Eric Anholt 2012-10-16 20:54:39 UTC
While it's technically a regression, it's more important that we support non-1-sized points in general than that we support the corner case of a zero sized point being 1-sized.
Comment 5 GitLab Migration User 2019-09-18 19:34:46 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/709.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.